> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fernhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create customer

> Upon successful customer creation, a hosted KYC link requesting the required information to fill in will be generated. This may be distributed to your end-user for completion, or it can be completed on the customer's behalf by your team. 



## OpenAPI

````yaml https://api.fernhq.com/json post /customers
openapi: 3.1.1
info:
  title: Fern Developer API
  description: >-
    Fern is a seamless currency conversion and payments API that enables
    developers to integrate onramps, offramps, and third-party fiat/crypto
    payments into their applications. 


    Fern works with licensed liquidity providers and financial institutions to
    offer global currency support in one standardized API. 
  termsOfService: https://fernhq.com/terms
  version: 1.0.0
  contact:
    name: Fern API Support
    url: https://support.fernhq.com
    email: support@fernhq.com
servers:
  - url: https://api.fernhq.com
    description: API Server
security:
  - bearerAuth: []
tags:
  - name: Customers
    description: >-
      Use Customers API to create a customer, update their details, and get
      their details.
  - name: Payment Accounts
    description: >-
      Use Payment Accounts API to add, update and get bank accounts for an
      existing customer. Currently, only USD bank accounts with domestic
      ACH/wire routing numbers are supported.
  - name: Quotes
    description: >-
      Use Quotes API to create and fetch quotes for transactions. Currently,
      onramp and offramp transaction types are supported and will be inferred
      from the source and destination. 


      Before you can create a transaction, you must create a quote. Quotes
      enable you to specify important information about the transaction, such as
      the source and destination currencies and accounts and your developer
      fees. Quotes also provide useful information that you can use to display
      in your application, such as exchange rates and total fees. 


      - **Quotes expire after 5 minutes** 

      - You must create a quote before you create a transaction, and you will
      use the quote ID when creating a transaction. 

      - Quotes can only be created for verified customers. /n- Once you create a
      transaction with a quote, that quote can no longer be used. To generate a
      new transaction, you will have to create a new quote.
  - name: Transactions
    description: >-
      Use Transactions API to create and get transactions for a customer and a
      quote. Requires the creation of a quote beforehand per transaction.
  - name: Automation Rules
    description: >-
      Use Automation Rules API to create and manage automation rules for a
      customer.
  - name: Webhooks
    description: >-
      Use Webhooks API to manage webhook endpoints and view recent webhook
      deliveries.
paths:
  /customers:
    post:
      tags:
        - Customers
      summary: Create customer
      description: >-
        Upon successful customer creation, a hosted KYC link requesting the
        required information to fill in will be generated. This may be
        distributed to your end-user for completion, or it can be completed on
        the customer's behalf by your team. 
      operationId: createCustomer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                customerType:
                  $ref: '#/components/schemas/CustomerTypeEnum'
                firstName:
                  type: string
                  description: First name of the customer
                  example: John
                lastName:
                  type: string
                  description: Last name of the customer
                  example: Doe
                businessName:
                  type: string
                  description: Name of the business
                  example: John Doe Inc.
                email:
                  format: email
                  type: string
                  description: Email of the customer
                  example: john.doe@example.com
                kycData:
                  type: object
                  properties:
                    legalFirstName:
                      type: string
                      description: Legal first name as it appears on government documents
                      example: John
                    legalMiddleName:
                      type: string
                      description: Legal middle name as it appears on government documents
                      example: Michael
                    legalLastName:
                      type: string
                      description: Legal last name as it appears on government documents
                      example: Doe
                    phoneNumber:
                      type: string
                      description: Phone number in international E.164 format
                      example: '+12125551234'
                    dateOfBirth:
                      format: date
                      type: string
                      description: 'Date of birth (ISO 8601 format: YYYY-MM-DD)'
                      example: '1990-01-15'
                    address:
                      $ref: '#/components/schemas/CustomerAddressSchema'
                    nationalIdIssuingCountry:
                      enum:
                        - AD
                        - AE
                        - AF
                        - AG
                        - AI
                        - AL
                        - AM
                        - AO
                        - AQ
                        - AR
                        - AS
                        - AT
                        - AU
                        - AZ
                        - BA
                        - BB
                        - BD
                        - BE
                        - BF
                        - BG
                        - BH
                        - BI
                        - BJ
                        - BM
                        - BN
                        - BO
                        - BQ
                        - BR
                        - BS
                        - BT
                        - BW
                        - BY
                        - BZ
                        - CA
                        - CD
                        - CF
                        - CG
                        - CH
                        - CI
                        - CK
                        - CL
                        - CM
                        - CN
                        - CO
                        - CR
                        - CU
                        - CV
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DK
                        - DM
                        - DO
                        - DZ
                        - EC
                        - EE
                        - EG
                        - ER
                        - ES
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FM
                        - FO
                        - FR
                        - GA
                        - GB
                        - GD
                        - GE
                        - GF
                        - GG
                        - GH
                        - GI
                        - GL
                        - GM
                        - GN
                        - GP
                        - GQ
                        - GR
                        - GS
                        - GT
                        - GU
                        - GW
                        - GY
                        - HK
                        - HN
                        - HR
                        - HT
                        - HU
                        - ID
                        - IE
                        - IL
                        - IM
                        - IN
                        - IO
                        - IQ
                        - IR
                        - IS
                        - IT
                        - JE
                        - JM
                        - JO
                        - JP
                        - KE
                        - KG
                        - KH
                        - KI
                        - KM
                        - KN
                        - KP
                        - KR
                        - KW
                        - KY
                        - KZ
                        - LA
                        - LB
                        - LC
                        - LI
                        - LK
                        - LR
                        - LS
                        - LT
                        - LU
                        - LV
                        - LY
                        - MA
                        - MC
                        - MD
                        - ME
                        - MG
                        - MH
                        - MK
                        - ML
                        - MM
                        - MN
                        - MO
                        - MP
                        - MQ
                        - MR
                        - MS
                        - MT
                        - MU
                        - MV
                        - MW
                        - MX
                        - MY
                        - MZ
                        - NA
                        - NE
                        - NG
                        - NI
                        - NL
                        - 'NO'
                        - NP
                        - NR
                        - NU
                        - NZ
                        - OM
                        - PA
                        - PE
                        - PG
                        - PH
                        - PK
                        - PL
                        - PM
                        - PN
                        - PR
                        - PS
                        - PT
                        - PW
                        - PY
                        - QA
                        - RE
                        - RO
                        - RS
                        - RU
                        - RW
                        - SA
                        - SB
                        - SC
                        - SD
                        - SS
                        - SE
                        - SG
                        - SH
                        - SI
                        - SK
                        - SL
                        - SM
                        - SN
                        - SO
                        - SR
                        - ST
                        - SV
                        - SY
                        - SZ
                        - TC
                        - TD
                        - TF
                        - TG
                        - TH
                        - TJ
                        - TK
                        - TL
                        - TM
                        - TN
                        - TO
                        - TR
                        - TT
                        - TV
                        - TW
                        - TZ
                        - UA
                        - UG
                        - UM
                        - US
                        - UY
                        - UZ
                        - VA
                        - VC
                        - VE
                        - VG
                        - VI
                        - VN
                        - VU
                        - WF
                        - WS
                        - YE
                        - YT
                        - ZA
                        - ZM
                        - ZW
                      type: string
                      description: >-
                        The country the national identification document was
                        issued in (ISO 3166-1 alpha-2 format)
                      example: US
                    nationalIdType:
                      minLength: 1
                      type: string
                      description: >-
                        Type of national identification document (e.g., 'ssn',
                        'tin', 'cpf', etc.)
                      example: SSN
                    nationalIdNumber:
                      minLength: 1
                      type: string
                      description: National identification number (SSN, TIN, etc.)
                      example: 123-45-6789
                    nationality:
                      enum:
                        - AD
                        - AE
                        - AF
                        - AG
                        - AI
                        - AL
                        - AM
                        - AO
                        - AQ
                        - AR
                        - AS
                        - AT
                        - AU
                        - AZ
                        - BA
                        - BB
                        - BD
                        - BE
                        - BF
                        - BG
                        - BH
                        - BI
                        - BJ
                        - BM
                        - BN
                        - BO
                        - BQ
                        - BR
                        - BS
                        - BT
                        - BW
                        - BY
                        - BZ
                        - CA
                        - CD
                        - CF
                        - CG
                        - CH
                        - CI
                        - CK
                        - CL
                        - CM
                        - CN
                        - CO
                        - CR
                        - CU
                        - CV
                        - CY
                        - CZ
                        - DE
                        - DJ
                        - DK
                        - DM
                        - DO
                        - DZ
                        - EC
                        - EE
                        - EG
                        - ER
                        - ES
                        - ET
                        - FI
                        - FJ
                        - FK
                        - FM
                        - FO
                        - FR
                        - GA
                        - GB
                        - GD
                        - GE
                        - GF
                        - GG
                        - GH
                        - GI
                        - GL
                        - GM
                        - GN
                        - GP
                        - GQ
                        - GR
                        - GS
                        - GT
                        - GU
                        - GW
                        - GY
                        - HK
                        - HN
                        - HR
                        - HT
                        - HU
                        - ID
                        - IE
                        - IL
                        - IM
                        - IN
                        - IO
                        - IQ
                        - IR
                        - IS
                        - IT
                        - JE
                        - JM
                        - JO
                        - JP
                        - KE
                        - KG
                        - KH
                        - KI
                        - KM
                        - KN
                        - KP
                        - KR
                        - KW
                        - KY
                        - KZ
                        - LA
                        - LB
                        - LC
                        - LI
                        - LK
                        - LR
                        - LS
                        - LT
                        - LU
                        - LV
                        - LY
                        - MA
                        - MC
                        - MD
                        - ME
                        - MG
                        - MH
                        - MK
                        - ML
                        - MM
                        - MN
                        - MO
                        - MP
                        - MQ
                        - MR
                        - MS
                        - MT
                        - MU
                        - MV
                        - MW
                        - MX
                        - MY
                        - MZ
                        - NA
                        - NE
                        - NG
                        - NI
                        - NL
                        - 'NO'
                        - NP
                        - NR
                        - NU
                        - NZ
                        - OM
                        - PA
                        - PE
                        - PG
                        - PH
                        - PK
                        - PL
                        - PM
                        - PN
                        - PR
                        - PS
                        - PT
                        - PW
                        - PY
                        - QA
                        - RE
                        - RO
                        - RS
                        - RU
                        - RW
                        - SA
                        - SB
                        - SC
                        - SD
                        - SS
                        - SE
                        - SG
                        - SH
                        - SI
                        - SK
                        - SL
                        - SM
                        - SN
                        - SO
                        - SR
                        - ST
                        - SV
                        - SY
                        - SZ
                        - TC
                        - TD
                        - TF
                        - TG
                        - TH
                        - TJ
                        - TK
                        - TL
                        - TM
                        - TN
                        - TO
                        - TR
                        - TT
                        - TV
                        - TW
                        - TZ
                        - UA
                        - UG
                        - UM
                        - US
                        - UY
                        - UZ
                        - VA
                        - VC
                        - VE
                        - VG
                        - VI
                        - VN
                        - VU
                        - WF
                        - WS
                        - YE
                        - YT
                        - ZA
                        - ZM
                        - ZW
                      type: string
                      description: >-
                        Nationality/citizenship of the individual (ISO 3166-1
                        alpha-2 format)
                      example: US
                    employmentStatus:
                      type: string
                      description: Employment status
                      enum:
                        - EMPLOYED
                        - SELF_EMPLOYED
                        - UNEMPLOYED
                        - RETIRED
                        - STUDENT
                        - HOMEMAKER
                      example: EMPLOYED
                    mostRecentOccupation:
                      type: string
                      description: >-
                        Most recent occupation code from the Standard
                        Occupational Classification (SOC) system. [View
                        Occupation
                        Codes](https://docs.fernhq.com/guides/create-and-verify-customers/occupation-codes)
                      enum:
                        - '132011'
                        - '272011'
                        - '152011'
                        - '291291'
                        - '519191'
                        - '113012'
                        - '112011'
                        - '413011'
                        - '172011'
                        - '131011'
                        - '194010'
                        - '191010'
                        - '172021'
                        - '452011'
                        - '532020'
                        - '493011'
                        - '532010'
                        - '512011'
                        - '533011'
                        - '452021'
                        - '392021'
                        - '339011'
                        - '392011'
                        - '171011'
                        - '173011'
                        - '119041'
                        - '254010'
                        - '271010'
                        - '192010'
                        - '272021'
                        - '192021'
                        - '291181'
                        - '492097'
                        - '493021'
                        - '493022'
                        - '493023'
                        - '492091'
                        - '396010'
                        - '333011'
                        - '513011'
                        - '395011'
                        - '353011'
                        - '433011'
                        - '433021'
                        - '172031'
                        - '191020'
                        - '194021'
                        - '472011'
                        - '433031'
                        - '472020'
                        - '273011'
                        - '274010'
                        - '434011'
                        - '132031'
                        - '493031'
                        - '131199'
                        - '513020'
                        - '131021'
                        - '517011'
                        - '292031'
                        - '435011'
                        - '472031'
                        - '472040'
                        - '412010'
                        - '472050'
                        - '351011'
                        - '172041'
                        - '519010'
                        - '194031'
                        - '192030'
                        - '111011'
                        - '211021'
                        - '399011'
                        - '291011'
                        - '172051'
                        - '131030'
                        - '537061'
                        - '212011'
                        - '193033'
                        - '292010'
                        - '272022'
                        - '499091'
                        - '271021'
                        - '499092'
                        - '432099'
                        - '113111'
                        - '131141'
                        - '131041'
                        - '151221'
                        - '113021'
                        - '172061'
                        - '151241'
                        - '519160'
                        - '151299'
                        - '151251'
                        - '151230'
                        - '151211'
                        - '492011'
                        - '191030'
                        - '474011'
                        - '472070'
                        - '472061'
                        - '119021'
                        - '499010'
                        - 5370XX
                        - '352010'
                        - '333012'
                        - '434021'
                        - '131051'
                        - '211019'
                        - '412021'
                        - '435021'
                        - '273092'
                        - '434031'
                        - '537021'
                        - '132041'
                        - '434041'
                        - '132070'
                        - '339091'
                        - '519020'
                        - '434051'
                        - '519030'
                        - '514031'
                        - '272030'
                        - '439021'
                        - 15124X
                        - '519080'
                        - '319091'
                        - '291292'
                        - '291020'
                        - '475010'
                        - '439031'
                        - '333021'
                        - '292032'
                        - 29205X
                        - '291031'
                        - '359011'
                        - '212021'
                        - '272091'
                        - '359021'
                        - '435032'
                        - '419091'
                        - '533030'
                        - '472080'
                        - '475023'
                        - '193011'
                        - '273041'
                        - '119030'
                        - '211012'
                        - '492092'
                        - '173023'
                        - '172070'
                        - '492093'
                        - 49209X
                        - '499051'
                        - '512020'
                        - '472111'
                        - '492096'
                        - '252020'
                        - '474021'
                        - '434061'
                        - 3940XX
                        - '119161'
                        - '292042'
                        - '291214'
                        - '512031'
                        - '172199'
                        - '272099'
                        - '119070'
                        - '172081'
                        - '194040'
                        - '192041'
                        - '519194'
                        - '475022'
                        - '436011'
                        - '291128'
                        - '399031'
                        - '475032'
                        - '519041'
                        - '113013'
                        - '119013'
                        - '271022'
                        - '353023'
                        - '474031'
                        - '434071'
                        - '132051'
                        - '433099'
                        - '132061'
                        - '113031'
                        - '332020'
                        - '332011'
                        - '552010'
                        - '471011'
                        - '331011'
                        - '451011'
                        - '331021'
                        - '351012'
                        - '371011'
                        - '371012'
                        - '491011'
                        - '411012'
                        - '431011'
                        - '331012'
                        - '511011'
                        - '331099'
                        - '411011'
                        - '331091'
                        - '333031'
                        - '453031'
                        - '532031'
                        - '271023'
                        - '513091'
                        - '513092'
                        - '513093'
                        - '359099'
                        - '352021'
                        - '513099'
                        - '353041'
                        - '119051'
                        - '454011'
                        - '514020'
                        - '131131'
                        - '119171'
                        - '519051'
                        - '517021'
                        - '433041'
                        - '393010'
                        - '111021'
                        - 19204X
                        - '472121'
                        - '452041'
                        - '271024'
                        - '514033'
                        - '395012'
                        - '474041'
                        - '291299'
                        - '211022'
                        - '499021'
                        - '493040'
                        - '499098'
                        - '519198'
                        - '473010'
                        - '474051'
                        - '499031'
                        - '311121'
                        - '359031'
                        - '434081'
                        - '434161'
                        - '113121'
                        - '131070'
                        - 49904X
                        - '172110'
                        - '113051'
                        - '537051'
                        - '434199'
                        - '151212'
                        - '519061'
                        - '472130'
                        - '439041'
                        - '413021'
                        - '132053'
                        - '271025'
                        - '273091'
                        - '434111'
                        - 37201X
                        - '519071'
                        - '231020'
                        - '231012'
                        - '537062'
                        - '171012'
                        - '373011'
                        - '516011'
                        - '231011'
                        - '436012'
                        - '232099'
                        - '111031'
                        - '254022'
                        - '434121'
                        - '254031'
                        - '292061'
                        - '191099'
                        - '434131'
                        - '499094'
                        - '534010'
                        - '119081'
                        - '454020'
                        - '131081'
                        - '537063'
                        - '514041'
                        - '292035'
                        - '372012'
                        - '439051'
                        - '499071'
                        - '499043'
                        - '131111'
                        - '119199'
                        - '395092'
                        - '499095'
                        - '172121'
                        - '131161'
                        - '112021'
                        - '211013'
                        - '319011'
                        - '172131'
                        - '152021'
                        - '172141'
                        - '274099'
                        - '273099'
                        - '119111'
                        - '319092'
                        - '292072'
                        - '191040'
                        - '436013'
                        - '319094'
                        - '131121'
                        - '211023'
                        - '211014'
                        - '271026'
                        - '514050'
                        - '435041'
                        - '553010'
                        - '551010'
                        - '554010'
                        - '499044'
                        - '172151'
                        - '452090'
                        - '474090'
                        - '292090'
                        - '518090'
                        - '193090'
                        - '493090'
                        - '514060'
                        - '419010'
                        - '514070'
                        - '519195'
                        - '394031'
                        - '533099'
                        - '272041'
                        - '272042'
                        - '119121'
                        - '151244'
                        - '434141'
                        - '273023'
                        - '172161'
                        - 29203X
                        - '194051'
                        - '291151'
                        - '291161'
                        - '291171'
                        - '311131'
                        - '195010'
                        - '291122'
                        - '312010'
                        - '439199'
                        - '439061'
                        - '439071'
                        - '152031'
                        - '292081'
                        - '291041'
                        - '434151'
                        - 31113X
                        - 5120XX
                        - 21109X
                        - 27102X
                        - 17301X
                        - 2590XX
                        - 17302X
                        - 3930XX
                        - 4750XX
                        - 1320XX
                        - 37301X
                        - '299000'
                        - 31909X
                        - 49909X
                        - 1940XX
                        - 51403X
                        - 5371XX
                        - 1520XX
                        - 514XXX
                        - 39509X
                        - 2912XX
                        - 51919X
                        - 5191XX
                        - 33909X
                        - 19303X
                        - 5340XX
                        - 2530XX
                        - 51609X
                        - 5360XX
                        - 5170XX
                        - '519111'
                        - '537064'
                        - '472140'
                        - '519120'
                        - '519196'
                        - '232011'
                        - '292043'
                        - '536021'
                        - '333041'
                        - '412022'
                        - '536061'
                        - '433051'
                        - '399099'
                        - '132052'
                        - '119179'
                        - '372021'
                        - '172171'
                        - '291051'
                        - '319095'
                        - '292052'
                        - '319097'
                        - '274021'
                        - '519151'
                        - '192099'
                        - '291123'
                        - '312020'
                        - '291071'
                        - '472151'
                        - '472161'
                        - '472152'
                        - '291081'
                        - '333050'
                        - '435051'
                        - '435052'
                        - '435053'
                        - '119131'
                        - '251000'
                        - '518010'
                        - '499060'
                        - '515111'
                        - '252010'
                        - '516021'
                        - '515113'
                        - '515112'
                        - '339021'
                        - '211092'
                        - '433061'
                        - '272012'
                        - '435061'
                        - '131082'
                        - '439081'
                        - '132020'
                        - '119141'
                        - '292053'
                        - '112030'
                        - '273031'
                        - '435031'
                        - '537070'
                        - '131023'
                        - '113061'
                        - '291124'
                        - '492020'
                        - '292034'
                        - '291224'
                        - '474061'
                        - '534031'
                        - '419020'
                        - '434171'
                        - '399032'
                        - '291125'
                        - '537081'
                        - '291141'
                        - '211015'
                        - '472171'
                        - '212099'
                        - '434181'
                        - '399041'
                        - '291126'
                        - '412031'
                        - '499096'
                        - '472181'
                        - '475071'
                        - '535011'
                        - '419099'
                        - '419031'
                        - '112022'
                        - '413091'
                        - '414010'
                        - '517041'
                        - '533051'
                        - '339094'
                        - '193034'
                        - '252030'
                        - '436014'
                        - '413031'
                        - '492098'
                        - '339030'
                        - '474071'
                        - '516031'
                        - '472211'
                        - '535020'
                        - '535031'
                        - '435071'
                        - '516040'
                        - '533053'
                        - '395094'
                        - '493050'
                        - '119151'
                        - '211093'
                        - '194061'
                        - '211029'
                        - '193041'
                        - '151252'
                        - '151253'
                        - '472231'
                        - '252050'
                        - '291127'
                        - '518021'
                        - '439111'
                        - '152041'
                        - '537065'
                        - '472221'
                        - '512041'
                        - '211011'
                        - '391000'
                        - '531000'
                        - '291240'
                        - '292055'
                        - '193022'
                        - '173031'
                        - '171020'
                        - '432011'
                        - '516050'
                        - '132081'
                        - '132082'
                        - '533054'
                        - '259040'
                        - '273042'
                        - '499052'
                        - '419041'
                        - '432021'
                        - '274030'
                        - '433071'
                        - '516060'
                        - '291129'
                        - '519197'
                        - '232093'
                        - '514111'
                        - '397010'
                        - '113131'
                        - '131151'
                        - '533052'
                        - '536051'
                        - '339093'
                        - '536030'
                        - '113071'
                        - '413041'
                        - '373013'
                        - '253041'
                        - '272023'
                        - '475040'
                        - '999999'
                        - '516093'
                        - '193051'
                        - '393031'
                        - '291131'
                        - '319096'
                        - '292056'
                        - '353031'
                        - '518031'
                        - '151255'
                        - '151254'
                        - '435111'
                        - '514120'
                        - '131022'
                        - '499081'
                        - '517042'
                        - '439022'
                        - '273043'
                      example: '132011'
                    sourceOfFunds:
                      type: string
                      description: Source of funds
                      enum:
                        - COMPANY_FUNDS
                        - E_COMMERCE_RESELLER
                        - GAMBLING_PROCEEDS
                        - GIFTS
                        - GOVERNMENT_BENEFITS
                        - INHERITANCE
                        - INVESTMENTS_OR_LOANS
                        - PENSION_OR_RETIREMENT
                        - PROCEEDS_FROM_REAL_ESTATE_SALES
                        - SALARY
                        - SAVINGS
                        - SOMEONE_ELSES_FUNDS
                      example: SALARY
                    accountPurpose:
                      type: string
                      description: Purpose of the account
                      enum:
                        - CHARITABLE_DONATIONS
                        - COMPANY_OPERATIONS
                        - E_COMMERCE_PAYMENTS
                        - FREELANCE_PAYMENTS
                        - INVESTMENT
                        - PAYMENTS_TO_FRIENDS_FAMILY_ABROAD
                        - PERSONAL_EXPENSES
                        - PURCHASING_GOODS_OR_SERVICES
                        - SALARY_PAYMENTS
                        - WEALTH_PROTECTION
                        - OTHER
                      example: PERSONAL_EXPENSES
                    accountPurposeOther:
                      type: string
                      description: >-
                        Other account purpose (required when accountPurpose is
                        'OTHER')
                      example: Custom business purpose
                    expectedMonthlyPaymentsUsd:
                      type: string
                      description: Expected monthly payment volume in USD
                      enum:
                        - LESS_THAN_5000
                        - BETWEEN_5000_9999
                        - BETWEEN_10000_49999
                        - OVER_50000
                      example: BETWEEN_5000_9999
                    isIntermediary:
                      type: boolean
                      description: >-
                        Whether individual is using the account on behalf of
                        another entity
                      default: false
                      example: false
                    documents:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            description: Type of document
                            enum:
                              - GOVERNMENT_ID
                              - PROOF_OF_ADDRESS
                            example: GOVERNMENT_ID
                          subtype:
                            type: string
                            description: Document subtype
                            enum:
                              - NATIONAL_ID
                              - DRIVERS_LICENSE
                              - PASSPORT
                              - BANK_STATEMENT
                            example: NATIONAL_ID
                          countryCode:
                            type: string
                            description: >-
                              Country code in ISO 3166-1 alpha-2 format
                              (required for government ID documents)
                            example: US
                          documentIdNumber:
                            type: string
                            description: Document ID number (for government IDs)
                            example: '123456789'
                          issuanceDate:
                            format: date
                            type: string
                            description: >-
                              Document issuance date (ISO 8601 format:
                              YYYY-MM-DD)
                            example: '2020-01-15'
                          expirationDate:
                            format: date
                            type: string
                            description: >-
                              Document expiration date (ISO 8601 format:
                              YYYY-MM-DD)
                            example: '2030-01-15'
                          frontIdImage:
                            type: string
                            description: Base64 encoded front image of government ID
                          backIdImage:
                            type: string
                            description: Base64 encoded back image of government ID
                          proofOfAddressImage:
                            type: string
                            description: Base64 encoded image of proof of address document
                          description:
                            type: string
                            description: >-
                              Description of the document (required when the
                              document type is other).
                            example: Electric bill from January 2024
                        required:
                          - type
                          - subtype
                        additionalProperties: false
                        title: KYC Document
                        description: Document information for KYC verification
                      description: Array of KYC documents
                      minItems: 1
                  required:
                    - legalFirstName
                    - legalLastName
                    - phoneNumber
                    - dateOfBirth
                    - address
                    - nationalIdIssuingCountry
                    - nationalIdType
                    - nationalIdNumber
                    - employmentStatus
                    - mostRecentOccupation
                    - sourceOfFunds
                    - accountPurpose
                    - expectedMonthlyPaymentsUsd
                    - documents
                  additionalProperties: false
                  title: KYC Data (Create)
                  description: Optional KYC data for immediate verification submission.
                kybData:
                  type: object
                  properties:
                    businessInfo:
                      type: object
                      properties:
                        legalBusinessName:
                          type: string
                          description: Legal name of the business
                          example: Acme Corporation
                        dbaName:
                          type: string
                          description: DBA or trade name if different from legal name
                          example: Acme Corp
                        businessType:
                          type: string
                          description: Type of business entity
                          enum:
                            - B_CORPORATION
                            - C_CORPORATION
                            - S_CORPORATION
                            - CLOSE_CORPORATION
                            - COOPERATIVE
                            - GENERAL_PARTNERSHIP
                            - LIMITED_PARTNERSHIP
                            - LIMITED_LIABILITY_PARTNERSHIP
                            - LIMITED_LIABILITY_COMPANY
                            - NONPROFIT_CORPORATION
                            - SOLE_PROPRIETORSHIP
                            - TRUST
                            - OTHER
                            - INDIVIDUAL
                          example: C_CORPORATION
                        businessIndustries:
                          type: string
                          description: Business industry NAICS code
                          enum:
                            - '111110'
                            - '111120'
                            - '111130'
                            - '111140'
                            - '111150'
                            - '111160'
                            - '111191'
                            - '111199'
                            - '111211'
                            - '111219'
                            - '111310'
                            - '111320'
                            - '111331'
                            - '111332'
                            - '111333'
                            - '111334'
                            - '111335'
                            - '111336'
                            - '111339'
                            - '111411'
                            - '111419'
                            - '111421'
                            - '111422'
                            - '111910'
                            - '111920'
                            - '111930'
                            - '111940'
                            - '111991'
                            - '111992'
                            - '111998'
                            - '112111'
                            - '112112'
                            - '112120'
                            - '112210'
                            - '112310'
                            - '112320'
                            - '112330'
                            - '112340'
                            - '112390'
                            - '112410'
                            - '112420'
                            - '112511'
                            - '112512'
                            - '112519'
                            - '112910'
                            - '112920'
                            - '112930'
                            - '112990'
                            - '113110'
                            - '113210'
                            - '113310'
                            - '114111'
                            - '114112'
                            - '114119'
                            - '114210'
                            - '115111'
                            - '115112'
                            - '115113'
                            - '115114'
                            - '115115'
                            - '115116'
                            - '115210'
                            - '115310'
                            - '211120'
                            - '211130'
                            - '212114'
                            - '212115'
                            - '212210'
                            - '212220'
                            - '212230'
                            - '212290'
                            - '212311'
                            - '212312'
                            - '212313'
                            - '212319'
                            - '212321'
                            - '212322'
                            - '212323'
                            - '212390'
                            - '213111'
                            - '213112'
                            - '213113'
                            - '213114'
                            - '213115'
                            - '221111'
                            - '221112'
                            - '221113'
                            - '221114'
                            - '221115'
                            - '221116'
                            - '221117'
                            - '221118'
                            - '221121'
                            - '221122'
                            - '221210'
                            - '221310'
                            - '221320'
                            - '221330'
                            - '236115'
                            - '236116'
                            - '236117'
                            - '236118'
                            - '236210'
                            - '236220'
                            - '237110'
                            - '237120'
                            - '237130'
                            - '237210'
                            - '237310'
                            - '237990'
                            - '238110'
                            - '238111'
                            - '238112'
                            - '238121'
                            - '238122'
                            - '238131'
                            - '238132'
                            - '238140'
                            - '238141'
                            - '238142'
                            - '238151'
                            - '238152'
                            - '238160'
                            - '238161'
                            - '238162'
                            - '238171'
                            - '238172'
                            - '238191'
                            - '238192'
                            - '238210'
                            - '238211'
                            - '238212'
                            - '238220'
                            - '238221'
                            - '238222'
                            - '238291'
                            - '238292'
                            - '238311'
                            - '238312'
                            - '238321'
                            - '238322'
                            - '238331'
                            - '238332'
                            - '238341'
                            - '238342'
                            - '238350'
                            - '238351'
                            - '238352'
                            - '238391'
                            - '238392'
                            - '238911'
                            - '238912'
                            - '238990'
                            - '238991'
                            - '238992'
                            - '311111'
                            - '311119'
                            - '311211'
                            - '311212'
                            - '311213'
                            - '311221'
                            - '311224'
                            - '311225'
                            - '311230'
                            - '311313'
                            - '311314'
                            - '311340'
                            - '311351'
                            - '311352'
                            - '311411'
                            - '311412'
                            - '311421'
                            - '311422'
                            - '311423'
                            - '311511'
                            - '311512'
                            - '311513'
                            - '311514'
                            - '311520'
                            - '311611'
                            - '311612'
                            - '311613'
                            - '311615'
                            - '311710'
                            - '311811'
                            - '311812'
                            - '311813'
                            - '311821'
                            - '311824'
                            - '311830'
                            - '311911'
                            - '311919'
                            - '311920'
                            - '311930'
                            - '311941'
                            - '311942'
                            - '311991'
                            - '311999'
                            - '312111'
                            - '312112'
                            - '312113'
                            - '312120'
                            - '312130'
                            - '312140'
                            - '312230'
                            - '313110'
                            - '313210'
                            - '313220'
                            - '313230'
                            - '313240'
                            - '313310'
                            - '313320'
                            - '314110'
                            - '314120'
                            - '314910'
                            - '314994'
                            - '314999'
                            - '315120'
                            - '315210'
                            - '315250'
                            - '315990'
                            - '316110'
                            - '316210'
                            - '316990'
                            - '321113'
                            - '321114'
                            - '321211'
                            - '321212'
                            - '321215'
                            - '321219'
                            - '321911'
                            - '321912'
                            - '321918'
                            - '321920'
                            - '321991'
                            - '321992'
                            - '321999'
                            - '322110'
                            - '322120'
                            - '322130'
                            - '322211'
                            - '322212'
                            - '322219'
                            - '322220'
                            - '322230'
                            - '322291'
                            - '322299'
                            - '323111'
                            - '323113'
                            - '323117'
                            - '323120'
                            - '324110'
                            - '324121'
                            - '324122'
                            - '324191'
                            - '324199'
                            - '325110'
                            - '325120'
                            - '325130'
                            - '325180'
                            - '325193'
                            - '325194'
                            - '325199'
                            - '325211'
                            - '325212'
                            - '325220'
                            - '325311'
                            - '325312'
                            - '325314'
                            - '325315'
                            - '325320'
                            - '325411'
                            - '325412'
                            - '325413'
                            - '325414'
                            - '325510'
                            - '325520'
                            - '325611'
                            - '325612'
                            - '325613'
                            - '325620'
                            - '325910'
                            - '325920'
                            - '325991'
                            - '325992'
                            - '325998'
                            - '326111'
                            - '326112'
                            - '326113'
                            - '326121'
                            - '326122'
                            - '326130'
                            - '326140'
                            - '326150'
                            - '326160'
                            - '326191'
                            - '326199'
                            - '326211'
                            - '326212'
                            - '326220'
                            - '326291'
                            - '326299'
                            - '327110'
                            - '327120'
                            - '327211'
                            - '327212'
                            - '327213'
                            - '327215'
                            - '327310'
                            - '327320'
                            - '327331'
                            - '327332'
                            - '327390'
                            - '327410'
                            - '327420'
                            - '327910'
                            - '327991'
                            - '327992'
                            - '327993'
                            - '327999'
                            - '331110'
                            - '331210'
                            - '331221'
                            - '331222'
                            - '331313'
                            - '331314'
                            - '331315'
                            - '331318'
                            - '331410'
                            - '331420'
                            - '331491'
                            - '331492'
                            - '331511'
                            - '331512'
                            - '331513'
                            - '331523'
                            - '331524'
                            - '331529'
                            - '332111'
                            - '332112'
                            - '332114'
                            - '332117'
                            - '332119'
                            - '332215'
                            - '332216'
                            - '332311'
                            - '332312'
                            - '332313'
                            - '332321'
                            - '332322'
                            - '332323'
                            - '332410'
                            - '332420'
                            - '332431'
                            - '332439'
                            - '332510'
                            - '332613'
                            - '332618'
                            - '332710'
                            - '332721'
                            - '332722'
                            - '332811'
                            - '332812'
                            - '332813'
                            - '332911'
                            - '332912'
                            - '332913'
                            - '332919'
                            - '332991'
                            - '332992'
                            - '332993'
                            - '332994'
                            - '332996'
                            - '332999'
                            - '333111'
                            - '333112'
                            - '333120'
                            - '333131'
                            - '333132'
                            - '333241'
                            - '333242'
                            - '333243'
                            - '333248'
                            - '333310'
                            - '333413'
                            - '333414'
                            - '333415'
                            - '333511'
                            - '333514'
                            - '333515'
                            - '333517'
                            - '333519'
                            - '333611'
                            - '333612'
                            - '333613'
                            - '333618'
                            - '333912'
                            - '333914'
                            - '333921'
                            - '333922'
                            - '333923'
                            - '333924'
                            - '333991'
                            - '333992'
                            - '333993'
                            - '333994'
                            - '333995'
                            - '333996'
                            - '333998'
                            - '334111'
                            - '334112'
                            - '334118'
                            - '334210'
                            - '334220'
                            - '334290'
                            - '334310'
                            - '334412'
                            - '334413'
                            - '334416'
                            - '334417'
                            - '334418'
                            - '334419'
                            - '334510'
                            - '334511'
                            - '334512'
                            - '334513'
                            - '334514'
                            - '334515'
                            - '334516'
                            - '334517'
                            - '334519'
                            - '334610'
                            - '335131'
                            - '335132'
                            - '335139'
                            - '335210'
                            - '335220'
                            - '335311'
                            - '335312'
                            - '335313'
                            - '335314'
                            - '335910'
                            - '335921'
                            - '335929'
                            - '335931'
                            - '335932'
                            - '335991'
                            - '335999'
                            - '336110'
                            - '336120'
                            - '336211'
                            - '336212'
                            - '336213'
                            - '336214'
                            - '336310'
                            - '336320'
                            - '336330'
                            - '336340'
                            - '336350'
                            - '336360'
                            - '336370'
                            - '336390'
                            - '336411'
                            - '336412'
                            - '336413'
                            - '336414'
                            - '336415'
                            - '336419'
                            - '336510'
                            - '336611'
                            - '336612'
                            - '336991'
                            - '336992'
                            - '336999'
                            - '337110'
                            - '337121'
                            - '337122'
                            - '337126'
                            - '337127'
                            - '337211'
                            - '337212'
                            - '337214'
                            - '337215'
                            - '337910'
                            - '337920'
                            - '339112'
                            - '339113'
                            - '339114'
                            - '339115'
                            - '339116'
                            - '339910'
                            - '339920'
                            - '339930'
                            - '339940'
                            - '339950'
                            - '339991'
                            - '339992'
                            - '339993'
                            - '339994'
                            - '339995'
                            - '339999'
                            - '423110'
                            - '423120'
                            - '423130'
                            - '423140'
                            - '423210'
                            - '423220'
                            - '423310'
                            - '423320'
                            - '423330'
                            - '423390'
                            - '423410'
                            - '423420'
                            - '423430'
                            - '423440'
                            - '423450'
                            - '423460'
                            - '423490'
                            - '423510'
                            - '423520'
                            - '423610'
                            - '423620'
                            - '423690'
                            - '423710'
                            - '423720'
                            - '423730'
                            - '423740'
                            - '423810'
                            - '423820'
                            - '423830'
                            - '423840'
                            - '423850'
                            - '423860'
                            - '423910'
                            - '423920'
                            - '423930'
                            - '423940'
                            - '423990'
                            - '424110'
                            - '424120'
                            - '424130'
                            - '424210'
                            - '424310'
                            - '424340'
                            - '424350'
                            - '424410'
                            - '424420'
                            - '424430'
                            - '424440'
                            - '424450'
                            - '424460'
                            - '424470'
                            - '424480'
                            - '424490'
                            - '424510'
                            - '424520'
                            - '424590'
                            - '424610'
                            - '424690'
                            - '424710'
                            - '424720'
                            - '424810'
                            - '424820'
                            - '424910'
                            - '424920'
                            - '424930'
                            - '424940'
                            - '424950'
                            - '424990'
                            - '425120'
                            - '441110'
                            - '441120'
                            - '441210'
                            - '441222'
                            - '441227'
                            - '441330'
                            - '441340'
                            - '444110'
                            - '444120'
                            - '444140'
                            - '444180'
                            - '444230'
                            - '444240'
                            - '445110'
                            - '445131'
                            - '445132'
                            - '445230'
                            - '445240'
                            - '445250'
                            - '445291'
                            - '445292'
                            - '445298'
                            - '445320'
                            - '449110'
                            - '449121'
                            - '449122'
                            - '449129'
                            - '449210'
                            - '454113'
                            - '454390'
                            - '455110'
                            - '455211'
                            - '455219'
                            - '456110'
                            - '456120'
                            - '456130'
                            - '456191'
                            - '456199'
                            - '457110'
                            - '457120'
                            - '457210'
                            - '458110'
                            - '458210'
                            - '458310'
                            - '458320'
                            - '459110'
                            - '459120'
                            - '459130'
                            - '459140'
                            - '459210'
                            - '459310'
                            - '459410'
                            - '459420'
                            - '459510'
                            - '459910'
                            - '459920'
                            - '459930'
                            - '459991'
                            - '459999'
                            - '481111'
                            - '481112'
                            - '481211'
                            - '481212'
                            - '481219'
                            - '482111'
                            - '482112'
                            - '483111'
                            - '483112'
                            - '483113'
                            - '483114'
                            - '483211'
                            - '483212'
                            - '484110'
                            - '484121'
                            - '484122'
                            - '484210'
                            - '484220'
                            - '484230'
                            - '485111'
                            - '485112'
                            - '485113'
                            - '485119'
                            - '485210'
                            - '485310'
                            - '485320'
                            - '485410'
                            - '485510'
                            - '485991'
                            - '485999'
                            - '486110'
                            - '486210'
                            - '486910'
                            - '486990'
                            - '487110'
                            - '487210'
                            - '487990'
                            - '488111'
                            - '488119'
                            - '488190'
                            - '488210'
                            - '488310'
                            - '488320'
                            - '488330'
                            - '488390'
                            - '488410'
                            - '488490'
                            - '488510'
                            - '488991'
                            - '488999'
                            - '491110'
                            - '492110'
                            - '492210'
                            - '493110'
                            - '493120'
                            - '493130'
                            - '493190'
                            - '512110'
                            - '512120'
                            - '512131'
                            - '512132'
                            - '512191'
                            - '512199'
                            - '512230'
                            - '512240'
                            - '512250'
                            - '512290'
                            - '513110'
                            - '513120'
                            - '513130'
                            - '513140'
                            - '513191'
                            - '513199'
                            - '513210'
                            - '515210'
                            - '516110'
                            - '516120'
                            - '516210'
                            - '517111'
                            - '517112'
                            - '517121'
                            - '517410'
                            - '517810'
                            - '518210'
                            - '519210'
                            - '519290'
                            - '521110'
                            - '522110'
                            - '522130'
                            - '522180'
                            - '522210'
                            - '522220'
                            - '522291'
                            - '522292'
                            - '522298'
                            - '522299'
                            - '522310'
                            - '522320'
                            - '522390'
                            - '523150'
                            - '523160'
                            - '523210'
                            - '523910'
                            - '523940'
                            - '523991'
                            - '523999'
                            - '524113'
                            - '524114'
                            - '524126'
                            - '524127'
                            - '524128'
                            - '524130'
                            - '524210'
                            - '524291'
                            - '524292'
                            - '524298'
                            - '525110'
                            - '525120'
                            - '525190'
                            - '525910'
                            - '525920'
                            - '525990'
                            - '531110'
                            - '531120'
                            - '531130'
                            - '531190'
                            - '531210'
                            - '531311'
                            - '531312'
                            - '531320'
                            - '531390'
                            - '532111'
                            - '532112'
                            - '532120'
                            - '532210'
                            - '532281'
                            - '532282'
                            - '532283'
                            - '532284'
                            - '532289'
                            - '532310'
                            - '532411'
                            - '532412'
                            - '532420'
                            - '532490'
                            - '533110'
                            - '541110'
                            - '541191'
                            - '541199'
                            - '541211'
                            - '541213'
                            - '541214'
                            - '541219'
                            - '541310'
                            - '541320'
                            - '541330'
                            - '541340'
                            - '541350'
                            - '541360'
                            - '541370'
                            - '541380'
                            - '541410'
                            - '541420'
                            - '541430'
                            - '541490'
                            - '541511'
                            - '541512'
                            - '541513'
                            - '541519'
                            - '541611'
                            - '541612'
                            - '541613'
                            - '541614'
                            - '541618'
                            - '541620'
                            - '541690'
                            - '541713'
                            - '541714'
                            - '541715'
                            - '541720'
                            - '541810'
                            - '541820'
                            - '541830'
                            - '541840'
                            - '541850'
                            - '541860'
                            - '541870'
                            - '541890'
                            - '541910'
                            - '541921'
                            - '541922'
                            - '541930'
                            - '541940'
                            - '541990'
                            - '551111'
                            - '551112'
                            - '551114'
                            - '561110'
                            - '561210'
                            - '561311'
                            - '561312'
                            - '561320'
                            - '561330'
                            - '561410'
                            - '561421'
                            - '561422'
                            - '561431'
                            - '561439'
                            - '561440'
                            - '561450'
                            - '561491'
                            - '561492'
                            - '561499'
                            - '561510'
                            - '561520'
                            - '561591'
                            - '561599'
                            - '561611'
                            - '561612'
                            - '561613'
                            - '561621'
                            - '561622'
                            - '561710'
                            - '561720'
                            - '561730'
                            - '561740'
                            - '561790'
                            - '561910'
                            - '561920'
                            - '561990'
                            - '562111'
                            - '562112'
                            - '562119'
                            - '562211'
                            - '562212'
                            - '562213'
                            - '562219'
                            - '562910'
                            - '562920'
                            - '562991'
                            - '562998'
                            - '611110'
                            - '611210'
                            - '611310'
                            - '611410'
                            - '611420'
                            - '611430'
                            - '611511'
                            - '611512'
                            - '611513'
                            - '611519'
                            - '611610'
                            - '611620'
                            - '611630'
                            - '611691'
                            - '611692'
                            - '611699'
                            - '611710'
                            - '621111'
                            - '621112'
                            - '621210'
                            - '621310'
                            - '621320'
                            - '621330'
                            - '621340'
                            - '621391'
                            - '621399'
                            - '621410'
                            - '621420'
                            - '621491'
                            - '621492'
                            - '621493'
                            - '621498'
                            - '621511'
                            - '621512'
                            - '621610'
                            - '621910'
                            - '621991'
                            - '621999'
                            - '622110'
                            - '622210'
                            - '622310'
                            - '623110'
                            - '623210'
                            - '623220'
                            - '623311'
                            - '623312'
                            - '623990'
                            - '624110'
                            - '624120'
                            - '624190'
                            - '624210'
                            - '624221'
                            - '624229'
                            - '624230'
                            - '624310'
                            - '624410'
                            - '711110'
                            - '711120'
                            - '711130'
                            - '711190'
                            - '711211'
                            - '711212'
                            - '711219'
                            - '711310'
                            - '711320'
                            - '711410'
                            - '711510'
                            - '712110'
                            - '712120'
                            - '712130'
                            - '712190'
                            - '713110'
                            - '713120'
                            - '713210'
                            - '713290'
                            - '713910'
                            - '713920'
                            - '713930'
                            - '713940'
                            - '713950'
                            - '713990'
                            - '721110'
                            - '721120'
                            - '721191'
                            - '721199'
                            - '721211'
                            - '721214'
                            - '721310'
                            - '722310'
                            - '722320'
                            - '722330'
                            - '722410'
                            - '722511'
                            - '722513'
                            - '722514'
                            - '722515'
                            - '811111'
                            - '811114'
                            - '811121'
                            - '811122'
                            - '811191'
                            - '811192'
                            - '811198'
                            - '811210'
                            - '811310'
                            - '811411'
                            - '811412'
                            - '811420'
                            - '811430'
                            - '811490'
                            - '812111'
                            - '812112'
                            - '812113'
                            - '812191'
                            - '812199'
                            - '812210'
                            - '812220'
                            - '812310'
                            - '812320'
                            - '812331'
                            - '812332'
                            - '812910'
                            - '812921'
                            - '812922'
                            - '812930'
                            - '812990'
                            - '813110'
                            - '813211'
                            - '813212'
                            - '813219'
                            - '813311'
                            - '813312'
                            - '813319'
                            - '813410'
                            - '813910'
                            - '813920'
                            - '813930'
                            - '813940'
                            - '813990'
                            - '814110'
                            - '921110'
                            - '921120'
                            - '921130'
                            - '921140'
                            - '921150'
                            - '921190'
                            - '922110'
                            - '922120'
                            - '922130'
                            - '922140'
                            - '922150'
                            - '922160'
                            - '922190'
                            - '923110'
                            - '923120'
                            - '923130'
                            - '923140'
                            - '924110'
                            - '924120'
                            - '925110'
                            - '925120'
                            - '926110'
                            - '926120'
                            - '926130'
                            - '926140'
                            - '926150'
                            - '927110'
                            - '928110'
                            - '928120'
                            - '999999'
                          example: '541511'
                        businessDescription:
                          type: string
                          description: Description of business activities
                          example: Software development and consulting services
                        website:
                          format: uri
                          type: string
                          description: Business website URL
                          example: https://www.acme.com
                        otherLinks:
                          type: array
                          items:
                            format: uri
                            type: string
                          description: >-
                            Other relevant business links (can include social
                            media handles)
                          example:
                            - https://linkedin.com/company/acme
                            - '@acmetech'
                        formationDate:
                          format: date
                          type: string
                          description: >-
                            Date of business formation (ISO 8601 format:
                            YYYY-MM-DD)
                          example: '2020-01-15'
                        registrationCountry:
                          enum:
                            - AD
                            - AE
                            - AF
                            - AG
                            - AI
                            - AL
                            - AM
                            - AO
                            - AQ
                            - AR
                            - AS
                            - AT
                            - AU
                            - AZ
                            - BA
                            - BB
                            - BD
                            - BE
                            - BF
                            - BG
                            - BH
                            - BI
                            - BJ
                            - BM
                            - BN
                            - BO
                            - BQ
                            - BR
                            - BS
                            - BT
                            - BW
                            - BY
                            - BZ
                            - CA
                            - CD
                            - CF
                            - CG
                            - CH
                            - CI
                            - CK
                            - CL
                            - CM
                            - CN
                            - CO
                            - CR
                            - CU
                            - CV
                            - CY
                            - CZ
                            - DE
                            - DJ
                            - DK
                            - DM
                            - DO
                            - DZ
                            - EC
                            - EE
                            - EG
                            - ER
                            - ES
                            - ET
                            - FI
                            - FJ
                            - FK
                            - FM
                            - FO
                            - FR
                            - GA
                            - GB
                            - GD
                            - GE
                            - GF
                            - GG
                            - GH
                            - GI
                            - GL
                            - GM
                            - GN
                            - GP
                            - GQ
                            - GR
                            - GS
                            - GT
                            - GU
                            - GW
                            - GY
                            - HK
                            - HN
                            - HR
                            - HT
                            - HU
                            - ID
                            - IE
                            - IL
                            - IM
                            - IN
                            - IO
                            - IQ
                            - IR
                            - IS
                            - IT
                            - JE
                            - JM
                            - JO
                            - JP
                            - KE
                            - KG
                            - KH
                            - KI
                            - KM
                            - KN
                            - KP
                            - KR
                            - KW
                            - KY
                            - KZ
                            - LA
                            - LB
                            - LC
                            - LI
                            - LK
                            - LR
                            - LS
                            - LT
                            - LU
                            - LV
                            - LY
                            - MA
                            - MC
                            - MD
                            - ME
                            - MG
                            - MH
                            - MK
                            - ML
                            - MM
                            - MN
                            - MO
                            - MP
                            - MQ
                            - MR
                            - MS
                            - MT
                            - MU
                            - MV
                            - MW
                            - MX
                            - MY
                            - MZ
                            - NA
                            - NE
                            - NG
                            - NI
                            - NL
                            - 'NO'
                            - NP
                            - NR
                            - NU
                            - NZ
                            - OM
                            - PA
                            - PE
                            - PG
                            - PH
                            - PK
                            - PL
                            - PM
                            - PN
                            - PR
                            - PS
                            - PT
                            - PW
                            - PY
                            - QA
                            - RE
                            - RO
                            - RS
                            - RU
                            - RW
                            - SA
                            - SB
                            - SC
                            - SD
                            - SS
                            - SE
                            - SG
                            - SH
                            - SI
                            - SK
                            - SL
                            - SM
                            - SN
                            - SO
                            - SR
                            - ST
                            - SV
                            - SY
                            - SZ
                            - TC
                            - TD
                            - TF
                            - TG
                            - TH
                            - TJ
                            - TK
                            - TL
                            - TM
                            - TN
                            - TO
                            - TR
                            - TT
                            - TV
                            - TW
                            - TZ
                            - UA
                            - UG
                            - UM
                            - US
                            - UY
                            - UZ
                            - VA
                            - VC
                            - VE
                            - VG
                            - VI
                            - VN
                            - VU
                            - WF
                            - WS
                            - YE
                            - YT
                            - ZA
                            - ZM
                            - ZW
                          type: string
                          description: >-
                            Country of business registration (ISO 3166-1 alpha-2
                            code)
                          example: US
                        isDao:
                          type: boolean
                          description: Whether the business is a DAO
                          default: false
                          example: false
                      required:
                        - legalBusinessName
                        - businessType
                        - businessIndustries
                        - businessDescription
                        - website
                        - formationDate
                      additionalProperties: false
                      description: Business information
                    businessRegisteredAddress:
                      $ref: '#/components/schemas/CustomerAddressSchema'
                    businessOperatingAddress:
                      $ref: '#/components/schemas/CustomerAddressSchema'
                    businessRegistrationNumber:
                      type: string
                      description: >-
                        Business registration number. For non-sole
[...]
